---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultAuth
metadata:
  name: default
  namespace: argocd
spec:
  method: kubernetes
  mount: k8s/au/syd1
  vaultConnectionRef: vso-system/default
  allowedNamespaces:
    - argocd
  kubernetes:
    role: default
    serviceAccount: default
    audiences:
      - vault
    tokenExpirationSeconds: 600
